## wmcpu 1.2-2

=== wmcpu/Makefile ===
LIBDIR = -L/usr/X11R6/lib
LIBS   = -lXpm -lXext -lX11
OBJS =  wmcpu.o \
		../wmgeneral/wmgeneral.o \
		../wmgeneral/misc.o \
		../wmgeneral/list.o


.c.o:
	cc -c -Wall $< -o $*.o

wmcpu: $(OBJS)
	cc -o wmcpu $^ $(LIBDIR) $(LIBS)

clean::
	for i in $(OBJS) ; do \
		rm $$i;\
	done
	rm wmcpu

=== debian/changelog ===
wmcpu (1.2-2) unstable; urgency=low

  * Changing menu entry from wm to X11 (closes: #33401)

 -- Darren Benham <gecko@debian.org>  Mon, 15 Feb 1999 08:04:41 -0800

wmcpu (1.2-1) unstable; urgency=low

  * New upstram source
  * Added to the man page (close bug: #33126)

 -- Darren Benham <gecko@debian.org>  Sun, 14 Feb 1999 21:29:27 -0800

wmcpu (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Darren Benham <gecko@debian.org>  Mon,  1 Feb 1999 15:34:20 -0800

Local variables:
mode: debian-changelog
add-log-mailing-address: "gecko@debian.org"
End:

=== debian/control ===
Source: wmcpu
Section: x11
Priority: optional
Maintainer: Darren Benham <gecko@debian.org>
Standards-Version: 2.4.0.0

Package: wmcpu
Architecture: any
Depends: ${shlibs:Depends}
Description: Window Maker docking app similar to xosview
 Displays a 64x64 box with:
  * CPU
  * Mem
  * Swap
  * Uptime

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	cd wmcpu && $(MAKE) 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	-cd wmcpu && $(MAKE) clean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	install -d `pwd`/debian/tmp/usr/X11R6/bin
	install -d `pwd`/debian/tmp/usr/X11R6/man/man1
	install wmcpu/wmcpu `pwd`/debian/tmp/usr/X11R6/bin
	install debian/wmcpu.1x `pwd`/debian/tmp/usr/X11R6/man/man1

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installmenu
	dh_installmanpages wmcpu.1x
	dh_installdocs
	dh_installchangelogs 
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## wmcpu 1.3

=== Makefile ===
CC		= gcc
CFLAGS		= -O3 -Wall -W
LDFLAGS		= -L/usr/X11R6/lib -lXpm -lXext -lX11
OBJS		= wmcpu.o

# where to install this program (also for packaging stuff)
DESTDIR		=
PREFIX		= $(DESTDIR)/usr/X11R6
INSTALL		= -m 755

wmcpu: $(OBJS)
	$(CC) $(CFLAGS) -o wmcpu $(OBJS) $(LDFLAGS)

clean:
	rm -rf *.o wmcpu *~

install: wmcpu
	install $(INSTALL) wmcpu $(PREFIX)/bin

## wmcpu 1.4

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
 CC		= gcc
-CFLAGS		= -O3 -Wall -W
+CFLAGS		= -O3 -Wall
+#DEBUG FLAGS HERE:
+#CFLAGS		+= -g -ggdb
 LDFLAGS		= -L/usr/X11R6/lib -lXpm -lXext -lX11
 OBJS		= wmcpu.o
 
@@ -7,6 +9,10 @@
 DESTDIR		=
 PREFIX		= $(DESTDIR)/usr/X11R6
 INSTALL		= -m 755
+
+.PHONY: all clean
+
+all: wmcpu
 
 wmcpu: $(OBJS)
 	$(CC) $(CFLAGS) -o wmcpu $(OBJS) $(LDFLAGS)

=== debian/changelog ===
wmcpu (1.4-6) unstable; urgency=medium

  * Team upload.
  * d/rules: disable dh_auto_install silently
  * d/p/0006: Don't override CFLAGS (Closes: #1119610)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Wed, 29 Oct 2025 20:24:12 +0100

wmcpu (1.4-5) unstable; urgency=medium

  [ Andreas Tille ]
  * Maintain in package Salvage team
    Closes: #1108847
  * Point Homepage to webarchive
  * Switch from cdbs to dh
  * Add fake watch file
  * d/copyright: DEP5
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add missing ${misc:Depends} to Depends for wmcpu.
  * Fix typo in manpage
  * Permit failure of blhc in Salsa CI

  [ Nilesh Patra ]
  * Do not use the build architecture compiler
    Closes: #989395

  [ Pedro Gimeno ]
  * Fix uptime display if more than 99 days
    Closes: #670152

 -- Andreas Tille <tille@debian.org>  Sun, 06 Jul 2025 06:53:46 +0200

wmcpu (1.4-4.1) unstable; urgency=medium

  * Non-maintainer upload
  * Update debhelper to compat 7 (Closes: #965877)
  * Drop non-existing URLs
  * Convert to source format 3.0 (quilt)

 -- Bastian Germann <bage@debian.org>  Thu, 18 May 2023 11:23:38 +0200

wmcpu (1.4-4) unstable; urgency=low

  * Fix Vcs-{Svn, Browser} fields (Closes: #466725)

 -- Varun Hiremath <varun@debian.org>  Sat, 08 Mar 2008 10:57:07 +0530

wmcpu (1.4-3) unstable; urgency=low

  * Bump Standards-Version to 3.7.3
  * Bump debhelper compat to 6
  * Add Homepage header and replace XS-Vcs with Vcs
  * Fix menu file section

 -- Varun Hiremath <varun@debian.org>  Sun, 27 Jan 2008 11:18:44 +0530

wmcpu (1.4-2) unstable; urgency=low

  * Upload to unstable.

 -- Torsten Werner <twerner@debian.org>  Tue, 10 Apr 2007 12:45:54 +0200

wmcpu (1.4-1) experimental; urgency=low

  [ Varun Hiremath ]
  * New Maintainer (Closes: #400943)
  * New upstream release
  * Apply display patch, thanks to Martin Pitt (Closes: #212432)
  * Apply geometry patch, thanks to Martin Pitt (Closes: #212425)
  * Switch to CDBS.
  * Switch to quilt for applying patches.
  * Build-Depend on debhelper >= 5
  * Add a watch file
  * Add Homepage in debain/control.
  * Update the download from URL in debian/copyright.

  [ Torsten Werner ]
  * Changed the build process a bit to be more Debian like.
  * Add some fields to debian/control.
  * Upload to experimental.

 -- Torsten Werner <twerner@debian.org>  Wed,  3 Jan 2007 12:44:57 +0100

wmcpu (1.3-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Don't use /usr/X11R6 (Closes: #376422)
  * Bump standards version
  * Quote menu entry
  * Use dh compat 4
  * Fix manpage entry

 -- Julien Danjou <acid@debian.org>  Thu, 13 Jul 2006 18:13:16 +0200

wmcpu (1.3-4.1) unstable; urgency=low

  * Non-maintainer upload to help with xlibs-dev transition.
  * debian/control: Replaced xlibs-dev build-dep. (Closes: #347113)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Fri, 20 Jan 2006 00:37:14 +0100

wmcpu (1.3-4) unstable; urgency=low

  * Updated to standards version 3.5.9.0.
  * Fix lintian warning postinst-should-not-set-usr-doc-link.
  * Fix lintian warning copyright-lists-upstream-authors-with-dh_make-
    boilerplate.

 -- Warren A. Layton <zeevon@debian.org>  Sun, 18 May 2003 19:52:04 -0400

wmcpu (1.3-3) unstable; urgency=low

  * Fixed the path to the binary in the menu. Thanks to Jason Wojciecho
    for pointing this out (Closes: #183082)

 -- Warren A. Layton <zeevon@debian.org>  Fri, 16 May 2003 17:59:20 -0400

wmcpu (1.3-2) unstable; urgency=low

  * The last release incorporated the fix from the previous NMU, but I
    forgot to close the bug (Closes: #92678)

 -- Warren A. Layton <zeevon@debian.org>  Sun,  3 Mar 2002 18:50:37 -0500

wmcpu (1.3-1) unstable; urgency=high

  * New upstream release (Closes: #131123, #78167, #105812)
  * New Maintainer (Closes: #135886)
  * This isn't a Debian-native package, so uploading upstream source
    (Closes: #44280)
  * Window Maker menu entry should now be able to launch the program
    (Closes: #42182)
  * debian/rules: removed obsolete dh_suidregister
  * Fixed Lintian errors and warnings

 -- Warren A. Layton <zeevon@debian.org>  Sun,  3 Mar 2002 11:20:48 -0500

wmcpu (1.2-2.2) unstable; urgency=low

  * NMU
  * Updated the build dependencies. (closes: #92678)

 -- Adrian Bunk <bunk@fs.tum.de>  Wed, 27 Jun 2001 21:59:55 +0200

wmcpu (1.2-2.1) unstable; urgency=low

  * NMU by Branden Robinson <branden@debian.org>.
  * Recompile against modern xpm4g package to get proper shared library
    dependency and permit this package to be installed with forthcoming
    XFree86 4.x packages, which include libXpm.
  * debian/control: added Build-Depends

 -- Branden Robinson <branden@debian.org>  Fri, 27 Oct 2000 08:49:13 +0300

=== debian/control ===
Source: wmcpu
Section: x11
Priority: optional
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Varun Hiremath <varun@debian.org>,
           Torsten Werner <twerner@debian.org>
Build-Depends: debhelper-compat (= 13), libx11-dev, libxext-dev, libxpm-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/salvage-team/wmcpu
Vcs-Git: https://salsa.debian.org/salvage-team/wmcpu.git
Homepage: https://web.archive.org/web/20111004173903/http://www.dockapps.org:80/file.php/id/306

Package: wmcpu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Window Maker docking app similar to xosview
 Displays a 64x64 box with:
  * CPU
  * Mem
  * Swap
  * Uptime

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_install:
